# GET /notification-settings

**List notification settings**

Returns a paginated list of notification settings (notification destinations).

**Required permissions:** `notification_setting.read`

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `after` | string | optional | Return entities after the specified Paddle ID when working with paginated endpoints. Used in the `meta.pagination.next` URL in responses for list operations. |
| `per_page` | integer | optional | Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check `meta.pagination.per_page` in the response to see how many were returned.

Default: `200`; Maximum: `200`. (Max: 200) |
| `order_by` | string | optional | Order returned entities by the specified field and direction (`[ASC]` or `[DESC]`). For example, `?order_by=id[ASC]`.

Valid fields for ordering: `id`. |
| `active` | boolean | optional | Determine whether returned entities are active (`true`) or not (`false`). |
| `traffic_source` | string | optional | Return entities that match the specified traffic source. |

## Response (200)

- `data`: array (required)
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
  - `pagination`: object (required) — Keys used for working with paginated results.
    - `per_page`: integer (required) — Number of entities per page for this response. May differ from the number requested if the requested number is greater than the maximum.
    - `next`: string (uri) (required) — URL containing the query parameters of the original request, along with the `after` parameter that marks the starting point of the next page. Always returned, even if `has_more` is `false`.
    - `has_more`: boolean (required) — Whether this response has another page.
    - `estimated_total`: integer — Estimated number of entities for this response.

### Response example

```json
{
  "data": [
    {
      "id": "ntfset_01gkpjp8bkm3tm53kdgkx6sms7",
      "description": "Slack notifications",
      "type": "url",
      "destination": "https://hooks.slack.com/example",
      "active": true,
      "api_version": 1,
      "include_sensitive_fields": false,
      "traffic_source": "all",
      "subscribed_events": [
        {
          "name": "transaction.billed",
          "description": "Occurs when a transaction is billed.",
          "group": "Transaction",
          "available_versions": [
            1
          ]
        },
        {
          "name": "transaction.canceled",
          "description": "Occurs when a transaction is canceled.",
          "group": "Transaction",
          "available_versions": [
            1
          ]
        },
        {
          "name": "transaction.completed",
          "description": "Occurs when a transaction is completed.",
          "group": "Transaction",
          "available_versions": [
            1
          ]
        },
        {
          "name": "transaction.created",
          "description": "Occurs when a transaction is created.",
          "group": "Transaction",
          "available_versions": [
            1
          ]
        },
        {
          "name": "transaction.payment_failed",
          "description": "Occurs when a payment fails for a transaction.",
          "group": "Transaction",
          "available_versions": [
            1
          ]
        },
        {
          "name": "transaction.ready",
          "description": "Occurs when a transaction is ready.",
          "group": "Transaction",
          "available_versions": [
            1
          ]
        },
        {
          "name": "transaction.updated",
          "description": "Occurs when a transaction is updated.",
          "group": "Transaction",
          "available_versions": [
            1
          ]
        },
        {
          "name": "subscription.activated",
          "description": "Occurs when a subscription is activated.",
          "group": "Subscription",
          "available_versions": [
            1
          ]
        },
        {
          "name": "subscription.canceled",
          "description": "Occurs when a subscription is canceled.",
          "group": "Subscription",
          "available_versions": [
            1
          ]
        },
        {
          "name": "subscription.created",
          "description": "Occurs when a subscription is created.",
          "group": "Subscription",
          "available_versions": [
            1
          ]
        },
        {
          "name": "subscription.past_due",
          "description": "Occurs when a subscription is past due.",
          "group": "Subscription",
          "available_versions": [
            1
          ]
        },
        {
          "name": "subscription.paused",
          "description": "Occurs when a subscription is paused.",
          "group": "Subscription",
          "available_versions": [
            1
          ]
        },
        {
          "name": "subscription.resumed",
          "description": "Occurs when a subscription is resumed.",
          "group": "Subscription",
          "available_versions": [
            1
          ]
        },
        {
          "name": "subscription.trialing",
          "description": "Occurs when a subscription is trialing.",
          "group": "Subscription",
          "available_versions": [
            1
          ]
        },
        {
          "name": "subscription.updated",
          "description": "Occurs when a subscription is updated.",
          "group": "Subscription",
          "available_versions": [
            1
          ]
        }
      ],
      "endpoint_secret_key": "pdl_ntfset_01gkpjp8bkm3tm53kdgkx6sms7_6h3qd3uFSi9YCD3OLYAShQI90XTI5vEI"
    }
  ],
  "meta": {
    "pagination": {
      "per_page": 200,
      "estimated_total": 1,
      "next": "https://api.paddle.com/notification-settings?after=ntfset_01gt21c5pdx9q1e4mh1xrsjjn6",
      "has_more": false
    },
    "request_id": "237fec70-9edb-4d93-90d9-e19ffa8bfe48"
  }
}
```
